transport Struct Reference

## Data Fields

const char * | name

int(*

initialize )(qb_loop_t *loop_pt, void **transport_instance, struct totem_config *totem_config, totemsrp_stats_t *stats, void *context, void(*deliver_fn)(void *context, const void *msg, unsigned int msg_len, const struct sockaddr_storage *system_from), void(*iface_change_fn)(void *context, const struct totem_ip_address *iface_address, unsigned int ring_no), void(*mtu_changed)(void *context, int net_mtu), void(*target_set_completed)(void *context))

void *(* | buffer_alloc )(void)
void(* | buffer_release )(void *ptr)
int(* | processor_count_set )(void *transport_context, int processor_count)
int(* | token_send )(void *transport_context, const void *msg, unsigned int msg_len)
int(* | mcast_flush_send )(void *transport_context, const void *msg, unsigned int msg_len)
int(* | mcast_noflush_send )(void *transport_context, const void *msg, unsigned int msg_len)
int(* | recv_flush )(void *transport_context)
int(* | send_flush )(void *transport_context)
int(* | iface_check )(void *transport_context)
int(* | finalize )(void *transport_context)
void(* | net_mtu_adjust )(void *transport_context, struct totem_config *totem_config)
const char *(* | iface_print )(void *transport_context)
int(* | ifaces_get )(void *transport_context, char ***status, unsigned int *iface_count)
int(* | nodestatus_get )(void *transport_context, unsigned int nodeid, struct totem_node_status *node_status)
int(* | token_target_set )(void *transport_context, unsigned int nodeid)
int(* | crypto_set )(void *transport_context, const char *cipher_type, const char *hash_type)
int(* | recv_mcast_empty )(void *transport_context)
int(* | iface_set )(void *transport_context, const struct totem_ip_address *local, unsigned short ip_port, unsigned int ring_no)
int(* | member_add )(void *transport_context, const struct totem_ip_address *local, const struct totem_ip_address *member, int ring_no)
int(* | member_remove )(void *transport_context, const struct totem_ip_address *member, int ring_no)
int(* | member_set_active )(void *transport_context, const struct totem_ip_address *member, int active)
int(* | reconfigure )(void *net_context, struct totem_config *totem_config)
int(* | crypto_reconfigure_phase )(void *net_context, struct totem_config *totem_config, cfg_message_crypto_reconfig_phase_t phase)
void(* | stats_clear )(void *net_context)

## Detailed Description

Definition at line 49 of file totemnet.c.

## Field Documentation

## buffer_alloc

void*(* transport::buffer_alloc) (void)

Definition at line 77 of file totemnet.c.

Referenced by totemnet_buffer_alloc().

## buffer_release

void(* transport::buffer_release) (void *ptr)

Definition at line 79 of file totemnet.c.

Referenced by totemnet_buffer_release().

## crypto_reconfigure_phase

int(* transport::crypto_reconfigure_phase) (void *net_context, struct totem_config *totem_config, cfg_message_crypto_reconfig_phase_t phase)

Definition at line 161 of file totemnet.c.

Referenced by totemnet_crypto_reconfigure_phase().

## crypto_set

int(* transport::crypto_set) (void *transport_context, const char *cipher_type, const char *hash_type)

Definition at line 127 of file totemnet.c.

Referenced by totemnet_crypto_set().

## finalize

int(* transport::finalize) (void *transport_context)

Definition at line 107 of file totemnet.c.

Referenced by totemnet_finalize().

## iface_check

int(* transport::iface_check) (void *transport_context)

Definition at line 105 of file totemnet.c.

Referenced by totemnet_iface_check().

## iface_print

const char*(* transport::iface_print) (void *transport_context)

Definition at line 111 of file totemnet.c.

## iface_set

int(* transport::iface_set) (void *transport_context, const struct totem_ip_address *local, unsigned short ip_port, unsigned int ring_no)

Definition at line 135 of file totemnet.c.

Referenced by totemnet_iface_set().

## ifaces_get

int(* transport::ifaces_get) (void *transport_context, char ***status, unsigned int *iface_count)

Definition at line 113 of file totemnet.c.

Referenced by totemnet_ifaces_get().

## initialize

int(* transport::initialize) (qb_loop_t *loop_pt, void **transport_instance, struct totem_config *totem_config, totemsrp_stats_t *stats, void *context, void(*deliver_fn)( void *context, const void *msg, unsigned int msg_len, const struct sockaddr_storage *system_from), void(*iface_change_fn)( void *context, const struct totem_ip_address *iface_address, unsigned int ring_no), void(*mtu_changed)( void *context, int net_mtu), void(*target_set_completed)( void *context))

Definition at line 52 of file totemnet.c.

## mcast_flush_send

int(* transport::mcast_flush_send) (void *transport_context, const void *msg, unsigned int msg_len)

Definition at line 90 of file totemnet.c.

Referenced by totemnet_mcast_flush_send().

## mcast_noflush_send

int(* transport::mcast_noflush_send) (void *transport_context, const void *msg, unsigned int msg_len)

Definition at line 96 of file totemnet.c.

Referenced by totemnet_mcast_noflush_send().

## member_add

int(* transport::member_add) (void *transport_context, const struct totem_ip_address *local, const struct totem_ip_address *member, int ring_no)

Definition at line 141 of file totemnet.c.

Referenced by totemnet_member_add().

## member_remove

int(* transport::member_remove) (void *transport_context, const struct totem_ip_address *member, int ring_no)

Definition at line 147 of file totemnet.c.

Referenced by totemnet_member_remove().

## member_set_active

int(* transport::member_set_active) (void *transport_context, const struct totem_ip_address *member, int active)

Definition at line 152 of file totemnet.c.

Referenced by totemnet_member_set_active().

## name

const char* transport::name

Definition at line 50 of file totemnet.c.

## net_mtu_adjust

void(* transport::net_mtu_adjust) (void *transport_context, struct totem_config *totem_config)

Definition at line 109 of file totemnet.c.

Referenced by totemnet_net_mtu_adjust().

## nodestatus_get

int(* transport::nodestatus_get) (void *transport_context, unsigned int nodeid, struct totem_node_status *node_status)

Definition at line 118 of file totemnet.c.

Referenced by totemnet_nodestatus_get().

## processor_count_set

int(* transport::processor_count_set) (void *transport_context, int processor_count)

Definition at line 81 of file totemnet.c.

Referenced by totemnet_processor_count_set().

## reconfigure

int(* transport::reconfigure) (void *net_context, struct totem_config *totem_config)

Definition at line 157 of file totemnet.c.

Referenced by totemnet_reconfigure().

## recv_flush

int(* transport::recv_flush) (void *transport_context)

Definition at line 101 of file totemnet.c.

Referenced by totemnet_recv_flush().

## recv_mcast_empty

int(* transport::recv_mcast_empty) (void *transport_context)

Definition at line 132 of file totemnet.c.

Referenced by totemnet_recv_mcast_empty().

## send_flush

int(* transport::send_flush) (void *transport_context)

Definition at line 103 of file totemnet.c.

Referenced by totemnet_send_flush().

## stats_clear

void(* transport::stats_clear) (void *net_context)

Definition at line 166 of file totemnet.c.

Referenced by totemnet_stats_clear().

## token_send

int(* transport::token_send) (void *transport_context, const void *msg, unsigned int msg_len)

Definition at line 85 of file totemnet.c.

Referenced by totemnet_token_send().

## token_target_set

int(* transport::token_target_set) (void *transport_context, unsigned int nodeid)

Definition at line 123 of file totemnet.c.

Referenced by totemnet_token_target_set().

The documentation for this struct was generated from the following file:

- totemnet.c